Mac OS X users, don’t be surprised if you see the message “Blocked Plug-in” whenever you attempt to view a flash-based content in the Safari web browser. Clicking on the error will bring up the dialog box “’Adobe Flash Player’ is out of date” and you will be forced to download the new update if you want to proceed further and view your content.

With the new update of the OSX, Apple has tightened up its security in its Safari browser by blocking out all older and vulnerable versions of Flash player from Adobe. This new security update will force all Mac users to update to the latest version if they want to view any flash-based content. Apple is using its very own Xprotect malware scanner. which is built-into the OS itself and will scan and quarantine known malware. Adobe Flash Player 11.6.602.167 and earlier versions for Macintosh are the ones that are prone to the attack.

Apple's Safari Web browser gets Adobe Flash Player update

Apple's Safari web browser gets Adobe Flash Player update

CNET reported that the new move came in around a month after Apple started blocking all older versions of Java, owned by Oracle, due to security concerns. The issue proved to be a bit more complex than it seems with Apple stating that it was targeted as a part of an organised hacking attempt that capitalises on the Java vulnerabilities. Oracle had released a patch earlier in mid January and Apple's XProtect plug-in update ensures that Java users will be running the latest version with the patch. The previous limit was version because the prior version of the Java 7 runtime had a security issue that affected JRE 7 Update 10 and earlier. The new update will address vulnerabilities that could cause crashes and potentially allow any attacker to take complete control of the affected system. 

Safari users forced to update the new patch from Adobe for security issues

Safari users forced to update the new patch from Adobe for security issues

Earlier this week, Adobe also released a software update that patches three vulnerabilities in Flash, of which two of them were targeted towards Mozilla’s Firefox browser. Apple has updated the web browser’s plug-in to safeguard its user’s from the recent vulnerability.

Those using Google Chrome on the Macintosh will automatically be updated to the latest version of the browser, which includes Adobe Flash Player 11.6.602.171. Users of the older version of Macintosh can update the latest version for Adobe’s Flash Player from here.

Tags: , , , , , , , , ,